Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class AscapeTreeMemberProvider

    java.lang.Object
      org.eclipse.amp.agf.GenericGraphicsProvider
          org.eclipse.amp.escape.ascape.adapt.AscapeGraphicsProvider
              org.eclipse.amp.escape.ascape.adapt.AscapeTreeMemberProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.ILabelProvider

    public class AscapeTreeMemberProvider

extends AscapeGraphicsProvider

The Class AscapeTreeMemberProvider.

Field Summary

Fields inherited from class org.eclipse.amp.agf.GenericGraphicsProvider
`AGENT_IMAGE, GRAPH_IMAGE, GRID_IMAGE, LIST_IMAGE, SCAPE_IMAGE, SPACE_IMAGE`

Constructor Summary
`AscapeTreeMemberProvider()`

Method Summary
`java.util.List` | `getList(java.lang.Object parent)`
`boolean` | `isMutable(java.lang.Object hasIterable)`

Methods inherited from class org.eclipse.amp.escape.ascape.adapt.AscapeGraphicsProvider
`getBackground, getDefault, getForeground, getText`

Methods inherited from class org.eclipse.amp.agf.GenericGraphicsProvider
`addListener, dispose, getImage, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AscapeTreeMemberProvider

    public AscapeTreeMemberProvider()

Method Detail

### getList

    public java.util.List getList(java.lang.Object parent)

  Parameters:
    `parent` -
  Returns:
  See Also:
    `ICompositionProvider.getList(java.lang.Object)`

### isMutable

    public boolean isMutable(java.lang.Object hasIterable)

  Parameters:
    `hasIterable` -
  Returns:
  See Also:
    `ICompositionProvider.isMutable(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD